# Interface MocFormat

public interface MocFormat
Defines a MOC serialization format.

Since:
  8 Dec 2016
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`writeMoc(cds.moc.SMoc moc, OutputStream out)`
Outputs a given MOC to a given stream.

## Method Details

### writeMoc

void writeMoc(cds.moc.SMoc moc, OutputStream out) throws IOException
Outputs a given MOC to a given stream.

Parameters:
  `moc` - MOC
  `out` - destination stream
Throws:
  `IOException`